package com.zt.plat.module.qms.business.config.service;

import java.util.*;

import com.zt.plat.module.qms.business.config.controller.vo.BaseSamplePageReqVO;
import com.zt.plat.module.qms.business.config.controller.vo.BaseSampleRespVO;
import com.zt.plat.module.qms.business.config.controller.vo.BaseSampleSaveReqVO;
import jakarta.validation.*;
import com.zt.plat.module.qms.business.config.dal.dataobject.BaseSampleDO;
import com.zt.plat.framework.common.pojo.PageResult;

/**
 * 样品大类管理 Service 接口
 *
 * @author 后台管理
 */
public interface BaseSampleService {

    List<BaseSampleDO> getBaseSampleListWithAssayStandardCount();

    /**
     * 创建样品大类管理
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    BaseSampleRespVO createBaseSample(@Valid BaseSampleSaveReqVO createReqVO);

    /**
     * 更新样品大类管理
     *
     * @param updateReqVO 更新信息
     */
    void updateBaseSample(@Valid BaseSampleSaveReqVO updateReqVO);

    /**
     * 删除样品大类管理
     *
     * @param id 编号
     */
    void deleteBaseSample(Long id);

    /**
    * 批量删除样品大类管理
    *
    * @param ids 编号
    */
    void deleteBaseSampleListByIds(List<Long> ids);

    /**
     * 获得样品大类管理
     *
     * @param id 编号
     * @return 样品大类管理
     */
    BaseSampleDO getBaseSample(Long id);

    /**
     * 获得样品大类管理分页
     *
     * @param pageReqVO 分页查询
     * @return 样品大类管理分页
     */
    PageResult<BaseSampleDO> getBaseSamplePage(BaseSamplePageReqVO pageReqVO);

    /**
     * 获得样品大类管理列表
     * @param reqVO
     * @return
     */
	List<BaseSampleRespVO> getBaseSampleList(BaseSamplePageReqVO reqVO);

}